Description

Entering your username/password to connect to a server such as ZNC has an odd solution in Quassel (but, I'm told XChat uses it
too): enter the combo as ‘username:password” in the "password" textbox in server options.

While other tools might use this convention, it's not obvious what to do if you use something more (ironically) intuitive like irssi, where
you can just put a username and password in the relevant fields in a config file.

Regardless of how it's sent to the server, why not place an extra box in the server properties dialog to let people enter a username if
they have one? If it's blank, just use the password box.

History

#1 - 09/23/2012 05:07 PM - Anonymous

- Status changed from New to Closed

All of xchat, irssi and quassel can do the same thing both ways. The convention you speak of is not really a convention, as it's not a client-side thing.
Using 'username:password' as password has no special meaning whatsoever to the client, it's just the server that interprets it in a special way.

The reason for not adding another textbox is because it's wrong and redundant. The password is a per-server setting (even though certain tools and

networks (ab)use it for other purposes), whereas in quassel the username is part of the identity (Settings>Identities>Advanced>Ident) and thus
per-network. It's not so much about "how it's sent to the server", but about how irc works.

#2 - 02/22/2013 12:11 PM - wscott

| am glad you are happy. But | just wanted to say that the dialog box is completely non-obvious.
It just says "password" with no hint that username should be put in the same place.

| am past my 30days on xchat2 for windows so | can't go look but | didn't stumble at all when setting
that up so | am pretty sure they had a separate username field, or at least included a note about
user:pass in the dialog box.
| had to use google and read this issue to figure out how to talk to ZNC.
| urge this issue to be addressed.
#3 - 02/22/2013 12:32 PM - TerrorBite
wscott wrote:
| urge this issue to be addressed.
| don't see that there's anything to address. ZNC chooses to accept its authentication in that format via the IRC protocol's PASS command, which is
intended to supply a server-specific password to allow access to an IRC server.
| don't see how Quassel is responsible for ZNC technically misusing the IRC protocol.
#4 - 02/22/2013 12:57 PM - gry
As ZNC started supporting multiple networks recently, from ZNC homepage:
It's a good idea to use username/network:password as the password in your client, so that (even for broken clients) ZNC can figure out which

user you are connecting as.

So technically, in XCHAT-ish clients, username would have to be "username/network", and password "password". This is counter-intuitive, and the
preferred approach is having users read their Bouncer documentation each time.

07/18/2025 22


http://www.tcpdf.org

